.BG
.FN all.factors
.FN all.covars
.FN all.predictors
.FN model.response
.TL
determine names of all factors, covariates, predictors (factors & covariates)
or response used in model fit
.CS
all.factors(object, data)
all.covars(object, data)
all.predictors(object, data)
model.response(object, data)
.AG object
object from linear model fit
.AG data
data frame in which to interpret the variables named in
the full and reduced objects (determined from reduced fit if omitted)
.RT
list of names of factors, covariates or predictors (factors & covariates)
or response used in model fit
.SA
`all.names'.
.EX
fit <- lm(y~x+a*b,data)
# return c("a","b")
all.factors(fit)
# return "x"
all.covars(fit)
# return c("x","a","b")
all.predictors(fit)
# return "y"
model.response(fit)
.WR
