arrow <- function(x,y,head=3,tip=.025,width=tip/2,fine=.005,...)
{
lines(x,y,...)
n <- length(x)
u <- par()$usr
diag <- (u[1]-u[2])^2+(u[3]-u[4])^2

if (head%%2)
	dotip(x[1], x[2]-x[1], y[1], y[2]-y[1], diag, tip, width,...)
if (head>1)
	dotip(x[n], x[n-1]-x[n], y[n], y[n-1]-y[n], diag, tip, width,...)
}
dotip <- function(x,dx,y,dy,diag,tip,width,...)
{
	dd <- sqrt((dx^2+dy^2)/diag)
	a <- tip / dd
	b <- width / (2*dd)
	tx <- x + a*dx + c(1,-1)*b*dy
	ty <- y + a*dy + c(-1,1)*b*dx
	polygon(c(x,tx),c(y,ty),...)
}

arc.arrow <- function(diam,head=3,fine=.005,x=diam,y=.5+2*arc,
	arc=(.5-diam)/4,...)
{
	tmp <- circle(x,y,diam,show=F,fine=fine)[[1]]
	tmp <- tmp[tmp$y>=y-arc&tmp$y<=y+arc&tmp$x<x,]
	arrow(tmp$x,tmp$y,head,...)
	invisible(tmp)
}
path3 <- function(cell=rep("",4),xlab="",xlim=c(-.1,1),diam=.15,ylab="",...)
{
	tmp <- diam / sqrt(5)

	plot(xlim,0:1,type="n",axes=F,xlab="",ylab=ylab,...)
	mtext(xlab,1)

if(nchar(cell[1])){
	circle(1-diam,.5,diam,cen=0)
	text(1-diam,.5,cell[1])
}
if(nchar(cell[2])){
	circle(diam,1-diam,diam,cen=0)
	text(diam,1-diam,cell[2])
	arrow(c(diam+2*tmp,1-diam-2*tmp),c(1-diam-tmp,.5+tmp),2)
}
if(nchar(cell[3])){
	circle(diam,.5,diam,cen=0)
	text(diam,.5,cell[3])
	arrow(c(2*diam,1-2*diam),c(.5,.5),2)
}
if(nchar(cell[4])){
	circle(diam,diam,diam,cen=0)
	text(diam,diam,cell[4])
	arrow(c(diam+2*tmp,1-diam-2*tmp),c(diam+tmp,.5-tmp),2)
}
}
