ci.plot <- function(object, ...) UseMethod("ci.plot")

ci.plot.default <- function(x.factor,response,group,
   xlab=xlabs,ylab=ylabs,bar.plot="ci",...)
{
   xlabs <- deparse(substitute(x.factor))
   ylabs <- deparse(substitute(response))

   if (!is.factor(x.factor))
      x.factor <- factor(x.factor)
   if( missing(group) ) {
      data <- data.frame(response,x.factor)
      names(data) <- c(ylabs,xlabs)
      fit <- lm(paste(ylabs,xlabs,sep="~"),data)
   }
   else {
      glabs <- deparse(substitute(group))
      if (!is.factor(group))
         group <- factor(group)
      data <- data.frame(response,x.factor,group)
      names(data) <- c(ylabs,xlabs,glabs)
      fit <- lm(paste(ylabs,".^2",sep="~"),data)
   }
   invisible(int.plot.lm(fit,data,xlab=xlab,ylab=ylab,bar.plot=bar.plot,...))
}

ci.plot.lm <- function(fit,...,bar.plot="ci")
invisible(int.plot.lm(fit,...,bar.plot=bar.plot))
