.BG
.FN ci.width
.TL
utility functions for ci.plot
.CS
ci.width(fit, data, factors, size=sample.size(fit, data, factors),
  rdf=df.resid(fit), sd=std.dev(fit), level=0.05,
  crit=qt(1 - level/2, rdf), ...)
.AG fit
fitted model object (optional unless response is omitted).
.AG data
data frame in which to interpret the variables named in
the fit object (taken from fit if omitted).
.AG factors
Character string of length 2 with names of x.factor and trace.factor
as found in fit and data (default is first 2 factors in fit).
.AG size
sample size per 2 factor combination (single value OK for balanced data)
.AG rdf
residual degrees of freedom
.AG sd
standard deviation
.AG level
significance level for confidence interval
.AG crit
value from t distribution at level with rdf degrees of freedom by default
.AG ...
ignored
.RT
Width of confidence interval at all levels of factor combinations,
computed as (critical.value*sd/size).
.SA
`ci.plot'.
.KW confidence interval
.WR
