.BG
.FN circle
.FN ellipse
.FN norm.ellipse
.TL
draw circles and ellipses
.CS
circle(x=0, y=0, radius=1, ...)
ellipse(x=0, y=0, sx=1, sy=1, rho=0, fine=0.01, center=0.1, add=T, show=T, ...)
norm.ellipse(x, y, group, homosked=T, level=0.05,
   radius=sqrt(qchisq(1-level,2)), ...)
.AG x,y
center of circle or ellipse before orienting
.AG radius
length of radius (positive)
.AG sx,sy,rho
standardizing units for x,y (positive)
and correlation between x and y (between -1 and 1)
.AG fine
fineness of arcs for drawing (between 0 and 1)
.AG center
if positive, fraction of radius for main axes
.AG show
plot ellipse or circle if TRUE
.AG add
add to existing plot if TRUE
.AG orient
orientation of ellipse
.AG xo,yo
offset of origin
.AG ...
plot parameters (many are set if add=F)
.RT
list of dataframes containing ellipse or circle arc(s)
.EX
# circle with unit radius
circle()
# return coordinates of arc for ellipse
ellipse(sx=2,sy=3,rho=.5,show=F)
# ellipse rotated 45 degrees, centered at (1,2)
ellipse(xo=1,yo=2,sx=.25,sy=.5,orient=pi/2)
# ellipse at (1,2), but then rotated 45 degrees
ellipse(x=1,y=2,sx=.25,sy=.5,orient=pi/2)
# 95% contour for bivariate normal from data (x,y)
norm.ellipse(x,y)
.KW trigonometry, plot
.WR
