expt <- function(cell,effects,inter,grand=0,design=c("rcbd","crd","bibd"),
	reps=4,factors=c("A","B"),tukey=F,sd=c(1,.5),anova=T,bibd)
{
	if(missing(cell)){
		if(missing(effects))
			stop("must specify cell means or effects")
		if(length(effects)!=2)
			stop("only two factor effects allowed")
		marg <- expand.grid(effects)
		cell <- grand + apply(marg,1,sum)
		if(!missing(inter))
			cell <- cell + array(c(inter),length(cell))
		else {if(tukey!= 0)
			cell <- cell + tukey*apply(marg,1, prod)
		}
		cell <- array(cell,unlist(lapply(effects,length)))
		tmp <- function(x){
			n <- names(x)
			if(is.null(n))
				letters[seq(x)]
			else
				n
		}
		dimnames(cell) <- lapply(effects,tmp)
		factors <- names(effects)
	}
	nt <- length(cell)
	if (!missing(bibd)) {
		if (bibd >= nt | bibd < 2)
			stop(paste("bibd =",bibd,"must be between 2 and",nt))
		design <- "bibd"
	}

	sd <- array(c(sd,0),2)
	des <- pmatch(design[1],c("rcbd","crd","bibd"))
	if (des == 1 & reps > 1) {
		# rcbd
		y <- rep(rnorm(reps,0,sd[1]),rep(nt,reps)) + rep(cell,reps) +
			 rnorm(reps*nt,0,sd[2])
		block <- "reps +"
	}
	else if (des == 3) {
		# bibd
		numib <- choose(nt,bibd)
		y <- rep(perms(cell,bibd),reps)
		reps <- reps * numib
		nt <- bibd
		y <- y + rep(rnorm(reps,0,sd[1]),rep(nt,reps)) +
			rnorm(reps*nt,0,sd[2])
		block <- "reps +"
	}
	else {
		# crd
		y <- rep(cell,reps) + rnorm(reps*nt,0,sqrt(sd[1]^2+sd[2]^2))
		block <- ""
	}
browser()
	data <- data.frame(reps=factor(rep(1:reps,rep(nt,reps))))
	tmp <- list(ncol(cell),rep(nrow(cell),ncol(cell)))
browser()
	for (i in 1:2) {
		cellnames <- dimnames(cell)[[i]]
		if (is.null(cellnames))
			cellnames <- as.character(seq(dim(cell)[i]))
		data[[factors[i]]] <- factor(rep(rep(cellnames,tmp[[i]]),reps))
	}
browser()
	data$y <- as.numeric(y)
	if(anova) {
		red <- as.formula(paste("y ~",block,factors[1],"+",factors[2]))
		full <- as.formula(paste("y ~",block,factors[1],"*",factors[2]))
		fullfit <- aov(full,data)
		print(summary(fullfit))
		list(full=fullfit,reduced=aov(red,data),data=data)
	}
	else
		data
}
