all.factors <- function (fit,data=eval(fit$call$data))
{
   predictors <- all.names(formula(fit),unique=T,functions=F)[-1]
   factors <- unlist(lapply(data,is.factor))[predictors]
   names(factors[factors])
}

all.covars <- all.covariates <- function (fit,data=eval(fit$call$data))
{
   predictors <- all.names(formula(fit),unique=T,functions=F)[-1]
   factors <- unlist(lapply(data,is.factor))[predictors]
   names(factors[!factors])
}

all.predictors <- function (fit,data=eval(fit$call$data))
{
   all.names(formula(fit),unique=T,functions=F)[-1]
}
model.response <- function (fit,data=eval(fit$call$data))
{
   all.names(formula(fit),functions=F)[1]
}
factor.labels <- function(object,data) {
   p <- pmatch(names(data),labels(object))
   labels(object)[p[!is.na(p)]]
}
unfactor <- function(x.factor,class="factor")
{# adapted from interaction.plot
   ok <- inherits(x.factor,substitute(class))
   if (ok)
   {
      xval <- .C("numeric_field",
         as.character(x.factor),
         as.integer(length(x.factor)),
         n = double(length(x.factor)),
         ok = logical(1))
      ok <- xval$ok
      if(ok) {
         xval <- xval$n
         junk <- diff(xval)
         if(!(all(junk >= 0) || all(junk <= 0)))
            OK <- FALSE
      }
   }
   if (ok)
      xval
   else
      unclass(x.factor)
}
