lsd.bar <- function(object, ...) UseMethod("lsd.bar")

lsd.bar.default <- function(x.factor,response,group,...)
{
   xlabs <- deparse(substitute(x.factor))
   ylabs <- deparse(substitute(response))

   if( missing(group) ) {
      data <- data.frame(response,x.factor)
      names(data) <- c(ylabs,xlabs)
      fit <- lm(paste(ylabs,xlabs,sep="~"),data)
   }
   else {
      glabs <- deparse(substitute(group))
      if (!is.factor(group))
         group <- factor(group)
      data <- data.frame(response,x.factor,group)
      names(data) <- c(ylabs,xlabs,glabs)
      fit <- lm(paste(ylabs,".^2",sep="~"),data)
   }
   invisible(lsd.bar.lm(fit,data,...))
}

lsd.bar.lm <- function(fit,data=eval(fit$call$data),
   factors=all.factors(fit,data),lsm=lsmean(fit,data,factors),
   xpos=xposn,ypos=yposn,rdf=df.resid(fit),
   level=.05,crit=qt(1-level/2,rdf),
   cap=paste(100*level,"%\nLSD",sep=""),mod=mods,tol=1e-5,...)
{
   usr <- par("usr")
   xlen <- usr[2] - usr[1]
   xposn <- usr[2] - .2 * xlen
   yposn <- (2 * usr[3] + usr[4]) / 3

   tmp <- sqrt(mean(lsm$se[lsm$se>0]^2))
   lsd <- lsd.calc( lsm$se, rdf, level, crit, tmp )
   mods <- if( any( abs(tmp-lsm$se) > tol*diff(range(lsm$pred)) & lsm$se>0 ))
      "*" else ""

   se.bar(xpos,ypos,lsd,mod=mod,cap=cap,...)
   invisible(list(lsd=lsd,rdf=rdf,level=level))
}
#lsd.calc <- function(fit, data = eval(fit$call$data),
   #factors = all.factors(fit, data),
   #lsm = lsmean(fit, data, factors), rdf = df.resid(fit),
   #... )
   #lsd.calc( lsm$se, rdf, ... )
#}
lsd.calc <- function( se, rdf, level = 0.05,
   crit = qt( 1 - level / 2, rdf ),
   seave = sqrt( mean( se[ se > 0 ] ^ 2 )))
{
   crit * sqrt( 2 ) * seave
}
#lsd.table.lm <- function( fit, data = eval( fit$call$data ),
   #factors = all.factors(fit, data),
   #lsm = lsmean( fit, data, factors ), rdf = df.resid( fit ))
#{
   #lsd.table( lsm$pred, lsm$se )
#}
lsd.table <- function( pred, se, rdf )
  {
    o <- order( -pred )
    se2 <- se[o] ^ 2
    pred <- pred[o]
    dif <- outer( pred, pred, "-" )
    se <- outer( se2, se2, "+" )
    nom <- names( pred )
    array( 2 * pt( -abs( dif / sqrt( se )), rdf ),
          dim( dif ), dimnames = list( nom, nom ))
  }
