.BG
.FN lsmean
.TL
Least Squares Means
.CS
lsmean(y, ..., factors = , effects = F, se.fit = T, adjust.cov = T)
lsmean(fit, data, factors = , effects = F, se.fit = T, adjust.cov = T)
.AG y
response vector.
.AG ...
factors and covariates (must be same length as y).
.AG fit
model object (optional in first form of call).
.AG data
data.frame in which to interpret variables
(found from fit if missing).
.AG factors
character vector containing names of x.factor and trace.factor
as first two entries.  Must be in names(data) and labels(fit).
Default is all factor names.
.AG effects
drop intercept if T (only works properly with sum-to-zero contrasts).
.AG se.fit
compute pointwise standard errors if T.
.AG adjust.covar
adjust means to average covariate values if T;
otherwise use covariate mean for each combination of factors.
.RT
data frame containing unique factor levels of factors,
 predicted response (pred) and standard errors (se).
WARNING: lsmean may not function properly if there are empty cells.
.SA
`predict'.
.EX
> lsmean(y,x1,x2)
> # the following does the same thing
> fit <- lm(y~x1+x2)
> data <- data.frame(y,x1,x2)
> lsmean(fit,data,factors=c("x1","x2")
.KW design
.WR
