.BG
.FN margin.plot
.TL
Margin Plots of Response for Pairs of Factors
.CS
margin.plot(x.factor, response, group, ...,
	orient = "default", average = "full")
.AG x.factor
factor whose margins are to be plotted on the \f2x\f1-axis.
Factor levels are plotted below the marginal means or effects.
.AG response
numeric vector.
.AG group
factor whose levels will be separate traces.
.AG ...
optional specification of other parameters to be passed to plotting routines.
.AG orient
"default" = default (as in interaction.plot),
"switch" = switch plot orientation of x.factor and group,
"both" = plot both ways.
.AT average
"full" = use response,
"reduced" = use predicted values from reduced (additive) model.
.RT
a plot will be created showing the requested function of responses 
for each level of the `x.factor' at each level of the `group'.
By default, lines for each value of the `group' are drawn in different
styles so that they may be more easily distinguished.
.Xp D2way
.SA
`tukey.plot', `margin.plot.lm'.
.EX
> attach(catalyst)
> margin.plot(Conc, Yield, Cat)
> detach()
.KW design
.WR
