.BG
.FN margin.plot.lm
.TL
Margin Plots of Response for Pairs of Factors in Linear Model
.CS
margin.plot.lm(full, reduced, data, factors, lsm,
        margin, error = "full", bar = "lsd",...)
.AG full
full model object from linear model fit
.AG reduced
reduced model object, for computation of marginal means or effects
(default=full)
.AG data
data frame in which to interpret the variables named in
the full and reduced objects (determined from reduced fit if omitted)
.AG factors
Character string of length 2 with names of x.factor and trace.factor
as found in fit and data (default is first 2 factors in fit).
.AG lsm
Least squares means for plotting (default is fit from full model).
.AG margin
Least squares marginal means for horizontal axis
(default is fit from reduced model rounded to proper precision).
.AG error
model to use for error calculation ("full" or "reduced").
.AG bar
error bars:
Fisher's LSD ("lsd"=default)
or confidence intervals ("ci")
or none ("none").
.AG ...
optional specification of other parameters to be passed to plotting routines.
.RT
a plot will be created showing the requested function of responses 
for each level of the `x.factor' at each level of the `trace.factor'.
By default, lines for each value of the `trace.factor' are drawn in different
styles so that they may be more easily distinguished.
.Xp D2way
.SA
`lsd.plot', `margin.plot', `tukey.plot'.
.EX
> reduced <- lm(Yield ~ Conc + Cat,catalyst)
> full <- update(reduced,~.^2)
> margin.plot.lm(full,reduced,catalyst)
.KW design
.WR
