.BG
.FN mplot
.FN mpoints
.FN mlines
.FN char
.TL
Multiple Plots (Points, Lines) by Group
.CS
mplot(x, y, group, type="p", ...)
mpoints(x, y, group, type="p", ...)
mlines(x, y, group, type="l", lty=1:length(unique(group)), fulltext=F, ...)
char(group)
.AG x,y
Coordinates of points.
.AG group
Group identifier (first digit or letter is used).
Must be same length as x and y.
.AG type
values of "p", "l", "b" produce points, lines or both.
.AG lty
line type (see par()).
.AG fulltext
if true, use full text of group for plotting; if false use first character
of group for plot symbol.  `mlines(x,y,group,fulltext=T)' is equivalent to
`text(x,y,group)'.
.AG ...
Plot paramaters to be passed along, from mplot() to plot() and mlines(),
and from mlines() to lines().
.RT
char() returns a string consisting of the first character of each element
in group.
.SA
`lines', `points', `plot'.
.EX
#
attach(iron)
mplot(Cactual,Resp,group=Clevel)
mlines(Cactual,predict(lm(Resp~Cactual,hwk3)),group=Clevel,lty=1)
detach(hwk3)
.KW ~keyword
.WR

