mplot <- function(a, b, group=NULL, type="p",
   xlim=range(a),ylim=range(b),
   xlab=deparse(substitute(a)),ylab=deparse(substitute(b)),
   main="",sub="",...)
{
   plot(a, b, type = "n",xlim=xlim,ylim=ylim,xlab=xlab,ylab=ylab,main=main,
      sub=sub, ...)
   mlines(a, b, group, type=type, ...)
   invisible(par(lty=1))
}
mpoints <- function(a, b, group=NULL, type="p", ...)
{
   mlines(a, b, group, type, ...)
}
mlines <- function(a, b, group=NULL, type="l", lty=1:lu, col=1:lu,
   fulltext=F, ...)
{
   if(is.null(group)) {
      lu <- 1
      lines(sort(a), b[order(a)], type=type, lty=lty[1], col=col[1] )
   }
   else
   {
      if (is.factor(group))
         ugroup <- levels(group)
      else
         ugroup <- unique(sort(group))
      char <- as.character(ugroup)
      lu <- length(ugroup)
      lty <- array(lty,lu)
      col <- array(col,lu)
      if (fulltext) 
         text(a, b, label = group)
      else
         for(i in 1:lu) {
            u <- group == ugroup[i]
            if(any(u))
               lines(sort(a[u]), b[u][order(a[u])], lty=lty[i], col=col[i],
                  pch = char[i], type=type)
         }
   }
}
mqqnorm <- function(x,group=qq$labels,plot=T,...)
{
    qq <- qqnorm(x,...,type="n")
    mpoints(qq$x, qq$y, group, ...)
    ii <- !is.na(qq$x)
    quant <- order( qq$x[ii] )[ round( c(1,3) * (1+sum(ii)) / 4 ) ]
    abline(lsfit(qq$x[ii][quant],qq$y[ii][quant]),lty=2)
    invisible(qq)
}
