.BG
.FN nested
.TL
nested weighted means for experimental units
.DN
This is under development.  It is a simple approximation to reduce
measurements to a single value for each sized experimental unit.
.CS
nested( fit, data, project = proj( fit ), ... )
nested( project, data, factors, response="y", nesting=c(1,ncol(ref)),
   ref = projref( project ), ... )
.RA
.AG fit
linear model fit object with Error() nesting
.OA
.AG data
data frame used in fit
.AG project
projection of data using fit
.AG factors
vector of names of factors in fit
.AG response
name of response
.AG nesting
levels of nesting to be averaged (1=intercept, 2=whole plot, 3=sub-plot,
etc.)
.AG ref
data frame of reference values from projection
.AG ...
additional arguments for `projwt'
.RT
Data frame with average `response' for unique `factor' combinations
and additional column `weight' with counts of cases used in averages.
.DT
See `nested.default' and `nested.aovprojlist' for code details.
.SH REFERENCES
~put references here, make other sections like NOTE and WARNING with .SH
.SA
`projwt', `projref'.
.EX
nest.data <- nested( proj(fit), data, c("A","b"), "y", c(1,2))
aov(y~A*B, nest.data)
.WR
