nested <- function(object, ...) UseMethod("nested")

nested.default <- function( fit, data = eval( attr( fit, "call" )$data ),
   project = proj( fit ), ... )
   nested.aovprojlist( project, data, ... )

# this assumes that the right list of factors goes along with the nesting

nested.aovprojlist <- function( project, data, factors, response="y",
   nesting=c(1,ncol(ref)), ref = projref( project ), ... )
{
   newdata <- data[, factors]
   newdata[[response]] <- apply( ref[ , nesting ], 1, sum )
   projwt( newdata, factors, ... )
}

projwt <- function( data, factors, u = interaction( data[,factors], drop=T ),
   weight = 1, covars )
{
   weight <- array( weight, length( u ) )
   newdata <- as.data.frame( data[ !duplicated( u ), ] )
   if ( !missing( covars )) for (i in covars)
      newdata[[i]] <- tapply( data[[i]], u, mean )
   newdata$weight <- tapply( weight, u, sum )
   row.names( newdata ) <- unique( u )
   newdata
}

projref <- function( project )
{
   ref <- data.frame(Reference=c(project[[1]]))
   for (i in names(project)[-1])
      ref[[i]] <- apply( project[[i]], 1, sum )
   ref
}
