.BG
.FN nested.tree
.TL
draw nested tree
.DN
draw nested tree based on model estimates/predictors
.CS
nested.tree(data, nesting=names(means),
   means=nested.means(data, nesting[-1]), offset=0.05, small=0.02,
   estimate="estimate", bar="stderr", jitter=offset/2, ...)
.RA
.AG data
data frame
.AG nesting
character vector of nesting names for `means'
.AG means
list of means with names given by `nesting'
.OA
.AG offset
offset for accuracy `bar'
.AG small
smallest relative separation of names allowable (scalar, or vector with
same length as `nesting')
.AG estimate
name of estimate or prediction column
.AG bar
name of column for accuracy
.AG jitter
jitter of names
.AG ...
plotting parameters
.RT
.DT
Either (`nesting' and `data') or `means' must be specified.
.SH REFERENCES
.SA
`nested.means'.
.EX
nested.tree(means=wheatfix.means,bar="ci",small=c(0,0,.05))
.WR
