nested.tree <- function( data, nesting=names(means),
   means=nested.means(data,nesting[-1]), offset = 0.05, small = 0.02,
   estimate="estimate",bar="stderr", jitter=offset/2, ...)
{
   nn <- length(nesting)

   plot( c(0, 1+nn), range( means[[nn]][[estimate]] ),
      type = "n", xaxt = "n", ... )
   mtext(nesting, 1, 0, at = seq(nn) )

   small <- rep(small,nn)
   offset <- rep(offset,nn)
   jitter <- rep(jitter,nn)

   mean2 <- means[[1]]  
   estim2 <- mean2[[estimate]]
   for ( i in seq(nn-1) ) {
      mean1 <- mean2
      mean2 <- means[[i+1]]
      estim1 <- estim2
      estim2 <- mean2[[estimate]]
      nester <- nesting[i]
      nest2 <- mean2[[nester]]
      nest1 <- mean1[[nester]]
      nr <- nrow(mean1)
      x <- rep(i,nr)
      text( x-offset[i], uncollide(estim1,small[i]), as.character(nest1), adj = 1 )
      for ( j in seq(nr) )
         for (k in estim2[ nest2==nest1[j] ])
            lines(seq(i,length=2),c(estim1[j],k))
      points( x, estim1 )
      if (jitter[i] > 0)
         x <- x + runif( nr, -jitter[i], jitter[i] )
      se.bar( x, estim1, 2 * mean1[[bar]], cap = "" )
   }
   nester <- nesting[nn]
   invisible(text( nn + offset[nn], uncollide( estim2, small[nn] ),
      as.character( mean2[[nester]] ), adj = 0 ))
}

nested.means <- function(data, nesting, parameter="parameter",
   carry=c("estimate","stderr","ddf"))
{
   x <- list( data[ 1, carry ] )
   root <- as.character(data[ 1, parameter ])
   x[[1]][[root]] <- names(x) <- root
   for (i in seq(nesting)) {
      x[[nesting[i]]] <- data[ data[[parameter]] == nesting[i],
         c(nesting[1:i],carry) ]
   }
      x[[2]][[root]] <- rep(root,nrow(x[[2]]))
   x
}
