se.bar <- function(xpos,ypos,bar,mod="",cap="SE",adj=0,width=.01,lty=1,horiz=F,...)
{
   if(!all(is.na(bar)) && max(bar) > 0 && min(bar) >= 0) {
      if(length(xpos) != length(ypos))
         stop("xpos and ypos must have the same length")
      if(length(xpos) != 1 && length(bar) != 1 && length(bar) > length(xpos))
         stop("xpos and bar must have the same length or one must be scalar")

      bar <- array(bar,length(xpos))
      xpos <- xpos[!is.na(bar)]
      ypos <- ypos[!is.na(bar)]
      bar <- bar[!is.na(bar)]
      lty <- rep( lty, length( bar ) )
      if (horiz) {
         top <- xpos+bar*.5
         bot <- xpos-bar*.5
         for (i in 1:length(ypos))
            lines(c(bot[i],top[i]),rep(ypos[i],2))
   
         left <- right <- ypos
         if (width > 0) {
            width <- width * diff(par("usr"))[3]
            left <- ypos-width
            right <- ypos+width
            for (i in 1:length(ypos)) {
               lines(rep(bot[i],2),c(left[i],right[i]))
               lines(rep(top[i],2),c(left[i],right[i]))
            }
         }
      }
      else {
         top <- ypos+bar*.5
         bot <- ypos-bar*.5
         for (i in 1:length(xpos))
            lines(rep(xpos[i],2),c(bot[i],top[i]),lty=lty[i])
   
         left <- right <- xpos
         if (width > 0) {
            width <- width * diff(par("usr"))[1]
            left <- xpos-width
            right <- xpos+width
            for (i in 1:length(xpos)) {
               lines(c(left[i],right[i]),rep(bot[i],2))
               lines(c(left[i],right[i]),rep(top[i],2))
            }
         }
         if (cap != "") {
            if(adj)
               text(left,ypos,paste(cap,mod,"=",sep=""),adj=1)
            else
               text(right,ypos,paste("=",cap,mod,sep=""),adj=0)
         }
      }
   }
   list(xpos=xpos,ypos=ypos,bar=bar,mod=mod,cap=cap,adj=adj,width=width)
}
