burst <- function(root,branch,pos=c(2,1))
{
   for (i in branch)
      lines(c(root,i),pos)
}
branch <- function(root,limb,pos=1:2,flip=F)
{
   if (flip)
      for (i in limb)
         lines(pos,c(root,i))
   else
      for (i in limb)
         lines(c(root,i),pos)
}
split.plot <- function(response,nest.factors,covars,weights,data)
{
   nest.int <- interaction(get.list(data,nest.factors),drop=T)
   # need to check that nest.factors are factors
   # how to add weighting to fit?
   nest.fit <- lm(paste(response,"~",paste(nest.factors,sep="*")),data)
   # whole plot
   Within <- data
   if (missing(weights))
      weights <- "weights"
   if(is.na(pmatch(weights,names(data))))
      Within[[weights]] <- rep(1,nrow(data))
   Within[[response]] <- resid(nest.fit)
   # split plot
   Between <- data.frame(data[!duplicated(nest.int),],
      row.names=unique(nest.int))
   Between[[response]] <- predict(nest.fit)[!duplicated(nest.int)]

   Between[[weights]] <- tapply(Within[[weights]],nest.int,sum)
   browser()
   # covariates
   if(!missing(covars)) {
      covar.data <- data
      for (i in covars) {
         covar.data[[response]] <- data[[i]]
         Within[[i]] <- resid(nest.fit,covar.data)
         Between[[i]] <- predict(nest.fit,covar.data)
      }
   }
   list(Between=Between,Within=Within)
}
