trans.plot <- function(fit,
	predictors=all.predictors(fit)[1:2],
	terms=predict(fit,type="terms"),
	xlab="product of margins",ylab="interaction",...)
{
	a <- terms[,predictors[1]]
	b <- terms[,predictors[2]]
	ab <- terms[,paste(predictors[1:2],collapse=":")]
	if (is.null(ab))
		stop(paste(paste(predictors[1:2],collapse=":"),
			"is not in list of terms"))
	m <- attributes(terms)$constant
	add <- a*b/m
	plot(add,ab,xlab=xlab,ylab=ylab,...)
	data <- data.matrix(list(x=add,y=ab))
	fit <- lm(y~x,data)
	lines(sort(add),predict(fit)[order(add)])
	c(power=1-coef(fit)["x"],se=se.coef(fit)["x"])
}
