tukey.plot <- function(x.factor,response,group,...,orient="default",
   xlab=xlabs,ylab=ylabs)
{
   xlabs <- deparse(substitute(x.factor))
   xlabs[2] <- deparse(substitute(group))
   ylabs <- c(deparse(substitute(response)),"")

   data <- data.frame(y=response,a=x.factor,b=group)
   names(data) <- c(ylabs[1],xlabs)

   reduced <- lm(y~.,data)
   data$inter <- predict(reduced)^2
   full <- lm(paste(paste(ylabs[1],xlabs[1],sep="~"),xlabs[2],"inter",sep="+"),
      data,singular.ok=T)
   lsm <- lsmean(full,data,xlabs,adjust.covar=F)

   orient <- pmatch(orient,c("switch","both"),nomatch=0)
   if(orient != 1)
      ret <- margin.plot.lm(full,reduced,data,factors=xlabs,lsm=lsm,
	 xlab=xlab[1],ylab=ylab[1],...)
   if(orient > 0)
      ret <- margin.plot.lm(full,reduced,data,factors=rev(xlabs),lsm=lsm,
         xlab=xlab[2],ylab=ylab[2],...)
   invisible(list(reduced=reduced,full=full,data=data,lsm=lsm,ret=ret))
}

mandel.plot <- function(x.factor,response,group,...,orient="default",
   xlab=xlabs,ylab=ylabs)
{
   xlabs <- deparse(substitute(x.factor))
   xlabs[2] <- deparse(substitute(group))
   ylabs <- c(deparse(substitute(response)),"")

   data <- data.frame(y=response,a=x.factor,b=group)
   names(data) <- c(ylabs[1],xlabs)

   reduced <- lm(y~.,data)
   data$inter <- unfactor(lsmean(reduced,data,se.fit=F)[[1]][codes(x.factor)])
   full <- lm(paste(paste(ylabs[1],xlabs[1],sep="~"),xlabs[2],
      paste(xlabs[2],"inter",sep=":"),sep="+"),data,singular.ok=T)
   lsm <- lsmean(full,data,xlabs,adjust.covar=F)

   orient <- pmatch(orient,c("switch","both"),nomatch=0)
   if(orient != 1)
      ret <- margin.plot.lm(full,reduced,data,factors=xlabs,lsm=lsm,
	 xlab=xlab[1],ylab=ylab[1],...)
   if(orient > 0)
      ret <- margin.plot.lm(full,reduced,data,factors=rev(xlabs),lsm=lsm,
         xlab=xlab[2],ylab=ylab[2],...)
   invisible(list(reduced=reduced,full=full,data=data,lsm=lsm,ret=ret))
}
